Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: ffmpeg

ffmpeg (7:4.3-3ubuntu2) groovy; urgency=medium * No-change rebuild for x264/x265 soname changes. -- Matthias Klose <doko@ubuntu.com> Wed, 15 Jul 2020 11:42:44 +0200 ffmpeg (7:4.3-3ubuntu1) groovy; urgency=low * Merge from Debian unstable. Remaining changes: - Build with external nv-codec-headers for NVENC accelerated video encoding. (See Debian bug: #925941) - Don't use pocketsphinx on i386 too -- Gianfranco Costamagna <locutusofborg@debian.org> Mon, 06 Jul 2020 08:53:06 +0200

Modifications :
  1. Download patch debian/rules

    --- 7:4.3-3/debian/rules 2020-07-03 15:57:57.000000000 +0000 +++ 7:4.3-3ubuntu2/debian/rules 2020-07-03 20:48:57.000000000 +0000 @@ -109,7 +109,7 @@ CONFIG := --prefix=/usr \ --enable-sdl2 # TODO: enable generally when available on mips* (see #812335) -ifeq (,$(filter mips% s390x, $(DEB_HOST_ARCH))) +ifeq (,$(filter i386 mips% s390x, $(DEB_HOST_ARCH))) CONFIG += --enable-pocketsphinx endif @@ -158,6 +158,11 @@ ifeq ($(DEB_HOST_ARCH_OS),linux) --enable-libiec61883 endif +# Enable nvenc on amd64 only; not supported on other architectures. +ifeq ($(DEB_HOST_ARCH),amd64) + CONFIG += --enable-nvenc +endif + # ffmpeg is involved in build-dependency cycles with x264 and chromaprint, so disable them in stage one. # Also disable frei0r, which build-depends on opencv. ifneq ($(filter pkg.ffmpeg.stage1,$(DEB_BUILD_PROFILES)),)
  2. Download patch debian/control

    --- 7:4.3-3/debian/control 2020-07-03 15:57:57.000000000 +0000 +++ 7:4.3-3ubuntu2/debian/control 2020-07-03 20:48:57.000000000 +0000 @@ -61,6 +61,8 @@ Build-Depends: libdc1394-22-dev [linux-any], # --enable-libdrm libdrm-dev [linux-any], +# --enable-nvenc + libffmpeg-nvenc-dev, # --enable-libfontconfig libfontconfig1-dev, # --enable-libfreetype @@ -108,7 +110,7 @@ Build-Depends: # --enable-libopus libopus-dev, # --enable-pocketsphinx - libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!mipsel !mips64el !s390x], + libpocketsphinx-dev (>= 0.8+5prealpha+1-7~) [!i386 !mipsel !mips64el !s390x], # --enable-libpulse libpulse-dev, # --enable-librabbitmq
  1. ffmpeg